For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The CompanyInfo object
          • GET/company-info
          • GET/company-info/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsCompany Info

/company-info/{id}

GET
/accounting/v1/company-info/:id
GET
/api/accounting/v1/company-info/:id
$curl -G https://api.merge.dev/api/accounting/v1/company-info/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=addresses,phone_numbers
200Retrieved
1{
2 "id": "65d8ffd0-211b-4ba4-b85a-fbe2ce220982",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Merge Pickleball Company",
7 "legal_name": "Merge Pickleball Company Inc.",
8 "tax_number": "11-0011000",
9 "fiscal_year_end_month": 12,
10 "fiscal_year_end_day": 31,
11 "currency": "USD",
12 "remote_created_at": "2020-03-31T00:00:00Z",
13 "urls": [
14 "https://www.merge.dev"
15 ],
16 "addresses": [
17 {
18 "street_1": "2920 Broadway",
19 "street_2": "2nd Floor",
20 "city": "New York",
21 "state": null,
22 "country": "US",
23 "zip_code": "10027"
24 }
25 ],
26 "phone_numbers": [
27 {
28 "created_at": "2021-09-15T00:00:00Z",
29 "modified_at": "2021-10-16T00:00:00Z",
30 "number": "+3198675309",
31 "type": "Mobile"
32 }
33 ],
34 "remote_was_deleted": true,
35 "field_mappings": {
36 "organization_defined_targets": {
37 "custom_key": "custom_value"
38 },
39 "linked_account_defined_targets": {
40 "custom_key": "custom_value"
41 }
42 },
43 "remote_data": [
44 {
45 "path": "/actions",
46 "data": null
47 }
48 ]
49}

Returns a CompanyInfo object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/company-info

Next

The Contact object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The company's name.
legal_namestring or null
The company's legal name.
tax_numberstring or null
The company's tax number.
fiscal_year_end_monthinteger or null1-12
The company's fiscal year end month.
fiscal_year_end_dayinteger or null1-31
The company's fiscal year end day.
currencyenum or null
The currency set in the company's accounting platform. The currency code in ISO 4217 format.
remote_created_atdatetime or null
When the third party's company was created.
urlslist of strings or null
The company's urls.
addresseslist of objects
phone_numberslist of objects
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only